Name:           perl-Net-IDN-Nameprep
Summary:        Stringprep Profile for Internationalized Domain Names (RFC 3491)
Version:        1.101
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-IDN-Nameprep/
Source0:        http://www.cpan.org/authors/id/C/CF/CFAERBER/Net-IDN-Nameprep-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(Exporter)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Unicode::Stringprep) >= 1.1
BuildRequires:  perl(Unicode::Stringprep::Mapping)
BuildRequires:  perl(Unicode::Stringprep::Prohibited)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module implements the nameprep specification, which describes how to
prepare internationalized domain name (IDN) labels in order to increase the
likelihood that name input and name comparison work in ways that make sense
for typical users throughout the world. Nameprep is a profile of the
stringprep protocol and is used as part of a suite of on-the-wire protocols
for internationalizing the Domain Name System (DNS).


%prep
%setup -q -n Net-IDN-Nameprep-%{version}

# Remove incorrect executable bits
chmod -x Changes \
         lib/Net/IDN/Nameprep.pm

# Convert files to UTF-8
for FILE in LICENSE README; do
  iconv -f ISO_8859-1 -t UTF8 $FILE > $FILE.utf8
  mv $FILE.utf8 $FILE
done

# Drop non-free file
# See comments 7 and 9 of the review request:
#     https://bugzilla.redhat.com/show_bug.cgi?id=891873
rm -f t/nameprep_vec.t


%build
perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes LICENSE README
%{perl_vendorlib}/Net
%{_mandir}/man3/Net::IDN::Nameprep.3pm*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.101-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.101-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Petr Pisar <ppisar@redhat.com> - 1.101-4
- Perl 5.18 rebuild

* Wed Feb 06 2013 Mathieu Bridon <mathieu.bridon@network-box.com> - 1.101-3
- Drop the non-free unit test.

* Wed Jan 23 2013 Mathieu Bridon <mathieu.bridon@network-box.com> - 1.101-2
- Replace the usage of the %%{__perl} macro by the plain perl command.
- Add missing build requirements.
- Remove the incorrect executable bits.
- Make sure all files are UTF-8 encoded.

* Fri Jan 04 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 1.101-1
- Initial package for Fedora, with help from cpanspec.
